<?xml version="1.0" encoding="utf-8"?>
<!--Script to validate discretion documents against test suite configuration-->
<!--$Date: 2001/08/21 20:16:39 $(UTC)-->

<!--not documented yet-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

<xsl:output indent="yes"/>

<xsl:template match="/">
  <problems>
    <xsl:for-each select="/suite/citations/citation-specifications/
                          cite-spec/version-spec/spec">
      <xsl:variable name="type" select="@type"/>
      <xsl:if test="name(id($type)) != 'cite-type'">
        <problem value="{$type}">bad citation type value</problem>
      </xsl:if>
    </xsl:for-each>
    <xsl:if test="not( 
                 /suite/citations/citation-types/cite-type/@method='human'
             and /suite/citations/citation-types/cite-type/@method='machine')">
      <problem>must have at least one citation type for each of <xsl:text/>
      <xsl:text/>the human and machine methods.</problem>
    </xsl:if>
    <xsl:for-each select="/suite/gray-areas/gray-area">
      <xsl:variable name="citation-types" select="spec-citation/@type"/>
      <xsl:if test="not(id($citation-types)/@method='human'
                    and id($citation-types)/@method='machine')">
        <problem value="{$citation-types/ancestor::item/@id}">
          <xsl:text>each gray area must have at least one human </xsl:text>
          <xsl:text>and one machine citation</xsl:text>
        </problem>
      </xsl:if>
    </xsl:for-each>
  </problems>
</xsl:template>

</xsl:stylesheet>
